#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x94,0x14,0x80,0xA0,0x8B,0x16,0x1B,0x10,0x1A,0x8E,0x73,0x03,
		0xEC,0x64,0x46,0xC7,0x9F,0x6A,0xD0,0x77,0xD6,0x90,0x66,0xE1,
		0xD6,0xBC,0x07,0x4F,0xD7,0x03,0xF7,0x73,0x37,0xCC,0x4B,0xA9,
		0x00,0x5B,0x96,0x7A,0xD8,0x32,0x20,0x80,0x96,0x89,0x81,0x33,
		0xBD,0x9C,0x4B,0xEF,0xFA,0x73,0xAE,0x3A,0xDE,0x82,0x91,0x98,
		0x37,0xD1,0xE7,0x6B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
